
//   Sukure Halina Orvidaite, Info 4 gr  2007-04-20                      
   
/*   Uzduotis:
     
Valciu, vandens dviraciu, vandens motociklu, kateriu ir burlenciu nuoma. Be
abejo, visos plaukiojimo priemones paveldi is vienos bazines klases. Skiriasi ne
tik valandos kaina, bet ir nuolaidu skaiciavimas u papildomas valandas. Siuos
skirtumus realizuokite virtualiu metodu pagalba. Nepamirkite sukurti ir klientu
kartotekos, kad galetumete taikyti nuolaidas pastoviems klientams. Bulhalterine
knyga turi buti issaugoma ir pakraunama is failo. Nepamirskite tvarkingai istrinti
sukurtu objektu.
*/

#ifndef __rent_h
#define __rent_h

#include <ctime>
#include <string>

//------Class Rent--------------------------------------------------------------

class Rent
{
private:

   std::string name;
   std::string telephone;
   std::string rentDate;
   std::string unRentDate;
   std::string status;
   std::string waterDeviceName;
   std::string waterDeviceNumber;
   int         rentPrice;
   int         rentHours;
   
public:

   Rent (std::string& name,
         std::string& telephone,
         std::string& waterDeviceName,
         std::string& waterDeviceNumber,
         tm&          timeinfo,
         int&         rentHours,
         int&         rentPrice);
  
   Rent (std::string& name,
         std::string& telephone,
         std::string& waterDeviceName,
         std::string& waterDeviceNumber,
         std::string& rentDate,
         std::string& unRentDate,
         int&         rentHours,
         int&         rentPrice,
         std::string& status); 
   
   std::string   getName              () {return this->name;}
   std::string   getTelephone         () {return this->telephone;}
   std::string   getRentDate          () {return this->rentDate;}
   std::string   getUnRentDate        () {return this->unRentDate;}
   std::string   getStatus            () {return this->status;}
   std::string   getWaterDeviceName   () {return this->waterDeviceName;}
   std::string   getWaterDeviceNumber () {return this->waterDeviceNumber;}
   void          setBackDate          (tm& timeinfo);
   void          setStatus            (std::string status){this->status = status;}
   int           getRentProfit        () {return this->rentHours*this->rentPrice;}
   int           getRentPrice         () {return this->rentPrice;}
   int           getRentHours         () {return this->rentHours;}
};

#endif

//==============================================================================
